summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2014-03-31 08:34:05 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2014-03-31 08:34:05 +0200
commit77dd9c466922fad94a8514f071a4bc87fc2ed0a9 (patch)
tree1ad943d80090df396969bee027dcd138c4b4f1c3 /scripts
parent712a7998a6e64638154c2cc3b3262b0881ca0138 (diff)
use gnu find on darwin
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/find9
-rw-r--r--scripts/scan-tools.sh16
-rwxr-xr-xscripts/xargs9
3 files changed, 10 insertions, 24 deletions
diff --git a/scripts/find b/scripts/find
deleted file mode 100755
index ea38d92fb..000000000
--- a/scripts/find
+++ /dev/null
@@ -1,9 +0,0 @@
-#!/usr/bin/env bash
-# This file is part of the OpenADK project. OpenADK is copyrighted
-# material, please see the LICENCE file in the top-level directory.
-
-if [ -z "$(which gfind 2>/dev/null)" ];then
- /usr/bin/find "$@"
-else
- gfind "$@"
-fi
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index c9b8029d5..6f365cd13 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -247,16 +247,20 @@ fi
host_build_findutils=0
if ! which gxargs >/dev/null 2>&1; then
- if ! which xargs >/dev/null 2>&1; then
- echo "No xargs found, will build one."
- host_build_findutils=1
+ if which xargs >/dev/null 2>&1; then
+ if ! xargs --version 2>/dev/null|grep GNU >/dev/null;then
+ echo "No GNU xargs found, will build one."
+ host_build_findutils=1
+ fi
fi
fi
if ! which gfind >/dev/null 2>&1; then
- if ! which find >/dev/null 2>&1; then
- echo "No find found, will build one."
- host_build_findutils=1
+ if which find >/dev/null 2>&1; then
+ if ! find --version 2>/dev/null|grep GNU >/dev/null;then
+ echo "No GNU find found, will build one."
+ host_build_findutils=1
+ fi
fi
fi
diff --git a/scripts/xargs b/scripts/xargs
deleted file mode 100755
index cbe9bd015..000000000
--- a/scripts/xargs
+++ /dev/null
@@ -1,9 +0,0 @@
-#!/usr/bin/env bash
-# This file is part of the OpenADK project. OpenADK is copyrighted
-# material, please see the LICENCE file in the top-level directory.
-
-if [ -z "$(which gxargs 2>/dev/null)" ];then
- /usr/bin/xargs "$@"
-else
- gxargs "$@"
-fi